﻿Imports System.Collections.ObjectModel
Imports System.Windows.Forms
Imports Color = System.Drawing.Color

Namespace SpreadHeaderFormat
    Public Partial Class Form1
        Inherits Form
        Public Sub New()
            InitializeComponent()
            fpSpread1.DataSource = GetData()
            fpSpread1.PaintSelectionHeader = False 'Disable default Paint on Headers
            fpSpread1.ActiveSheet.ColumnHeader.Rows(0).ForeColor = Color.Black
            fpSpread1.ActiveSheet.ColumnHeader.Rows(0).BackColor = Color.Yellow
            fpSpread1.ActiveSheet.RowHeader.Columns(0).ForeColor = Color.Black
            fpSpread1.ActiveSheet.RowHeader.Columns(0).BackColor = Color.Yellow
        End Sub


        Private Function GetData() As ObservableCollection(Of CustomData)
            Dim data = New ObservableCollection(Of CustomData)()
            For i = 0 To 199
                data.Add(New CustomData() With {
                    .Id = i,
                    .Value = i
                })
            Next
            Return data
        End Function
    End Class

    Public Class CustomData
        Public Property Id As Integer
        Public Property Value As Integer
    End Class
End Namespace